Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Private Member Functions | Private Attributes | List of all members
CoinTreeSiblings Class Reference

`#include <CoinSearchTree.hpp>`

Collaboration diagram for CoinTreeSiblings:
[legend]

## Public Member Functions
| CoinTreeSiblings (const int n, CoinTreeNode **nodes)
| CoinTreeSiblings (const CoinTreeSiblings &s)
| ~CoinTreeSiblings ()
CoinTreeNode * | currentNode () const
bool | advanceNode ()
| returns false if cannot be advanced More...
int | toProcess () const
int | size () const
void | printPref () const

## Private Member Functions
| CoinTreeSiblings ()
CoinTreeSiblings & | operator= (const CoinTreeSiblings &)

## Private Attributes
int | current_
int | numSiblings_
CoinTreeNode ** | siblings_

## Detailed Description

Definition at line 121 of file CoinSearchTree.hpp.

## Constructor & Destructor Documentation

CoinTreeSiblings::CoinTreeSiblings | ( |  | ) |
| private

CoinTreeSiblings::CoinTreeSiblings | ( | const int | n,
|  | CoinTreeNode ** | nodes
| ) |  |
| inline

Definition at line 132 of file CoinSearchTree.hpp.

CoinTreeSiblings::CoinTreeSiblings | ( | const CoinTreeSiblings & | s | ) |
| inline

Definition at line 139 of file CoinSearchTree.hpp.

CoinTreeSiblings::~CoinTreeSiblings | ( |  | ) |
| inline

Definition at line 146 of file CoinSearchTree.hpp.

## Member Function Documentation

CoinTreeSiblings& CoinTreeSiblings::operator= | ( | const CoinTreeSiblings & |  | ) |
| private

CoinTreeNode* CoinTreeSiblings::currentNode | ( |  | ) | const
| inline

Definition at line 147 of file CoinSearchTree.hpp.

bool CoinTreeSiblings::advanceNode | ( |  | ) |
| inline

returns false if cannot be advanced

Definition at line 149 of file CoinSearchTree.hpp.

int CoinTreeSiblings::toProcess | ( |  | ) | const
| inline

Definition at line 150 of file CoinSearchTree.hpp.

int CoinTreeSiblings::size | ( |  | ) | const
| inline

Definition at line 151 of file CoinSearchTree.hpp.

void CoinTreeSiblings::printPref | ( |  | ) | const
| inline

Definition at line 152 of file CoinSearchTree.hpp.

## Member Data Documentation

int CoinTreeSiblings::current_
| private

Definition at line 127 of file CoinSearchTree.hpp.

int CoinTreeSiblings::numSiblings_
| private

Definition at line 128 of file CoinSearchTree.hpp.

CoinTreeNode** CoinTreeSiblings::siblings_
| private

Definition at line 129 of file CoinSearchTree.hpp.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/CoinUtils/src/CoinSearchTree.hpp